## Evaluating and Extending Unsupervised VideoSummarization Methods

1. Evaluation unsupervised methods with different metric under same configuration.
2. Investigating effect of extracted features in unsupervised methods and extend it to perform better than baseline work.
3. Identify gaps form last step and try to fill by porposed solution by extending or modifying an existing model.

**Abstract**

This study validates the recent work in unsupervised video summarization and extends the experiments with feature variation.
In  our  understanding,  deep learning based approaches select frame-candidates for a video summary.
These frames are drawn with a probability that can be used to calculate the scaled importance for comparison with the basic truth as an evaluation.
However, most works in the literature focus on network architecture and follow the same feature extraction technique using the resulting deep features from one pretrained model.
At this point a notable gap of the existing approaches is feature variation, which this study explores.  
Building on that, model variables like network architecture, optimizer, and activation functions can have an impact on the performance combined with different feature selection techniques that haven’t beenexplored yet.Further,  the Evaluation of existing models is conducted using one metric,which  may  be  not  representative  in  video  summarization  task,  since  it  could ignore key-frames in favor of other frames and still have a relatively high value. This work performs feature extraction using multiple pretrained neural models, and then measures the impact of them on current state-of-the-art works.Then,it evaluates the state-of-the-art works using different evaluation metrics.
Eventually, it aims to find an unsupervised video summarization method, in order to fill the gaps, and leverage the existing works.

**Important Wiki Pages:**

* [Notes on SUM-GAN-AAE (Apostolidis et al. 2020)](https://gitlab.uni-hannover.de/hussainkanafani/unsupervised-video-summarization/-/wikis/SUM-GAN-AAE-(Apostolidis-et-al.-2020))

* [References and important findings](https://gitlab.uni-hannover.de/hussainkanafani/unsupervised-video-summarization/-/wikis/Findings)

* [Reproduce (Zhou et al. 2018)](https://gitlab.uni-hannover.de/hussainkanafani/unsupervised-video-summarization/-/wikis/Reproduce-(Zhou-et-al.-2018)%E2%80%8B)

* [Conda cheat sheet](https://gitlab.uni-hannover.de/hussainkanafani/unsupervised-video-summarization/-/wikis/Conda-cheat-sheet)


### SUM-Ind
Make splits
```bash
python create_split.py -d datasets/eccv16_dataset_summe_google_pool5.h5 --save-dir datasets --save-name summe_splits  --num-splits 5
```
As a result, the dataset is randomly split for 5 times, which are saved as json file.

Train and test codes are written in `main.py`. To see the detailed arguments, please do `python main.py -h`.

#### How to train
```bash
python main.py -d datasets/eccv16_dataset_summe_google_pool5.h5 -s datasets/summe_splits.json -m summe --gpu 0 --save-dir log/summe-split0 --split-id 0 --verbose
```

#### How to test
```bash
python main.py -d datasets/eccv16_dataset_summe_google_pool5.h5 -s datasets/summe_splits.json -m summe --gpu 0 --save-dir log/summe-split0 --split-id 0 --evaluate --resume path_to_your_model.pth.tar --verbose --save-results
```


### Citation
```
@article{zhou2017reinforcevsumm, 
   title={Deep Reinforcement Learning for Unsupervised Video Summarization with Diversity-Representativeness Reward},
   author={Zhou, Kaiyang and Qiao, Yu and Xiang, Tao}, 
   journal={arXiv:1801.00054}, 
   year={2017} 
}
```